/*
 * Class WEL_INTEGER_ARRAY
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_751 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_751 [] = {0xFF01,1551,750,0xFFFF};
static const EIF_TYPE_INDEX egt_2_751 [] = {0xFF01,750,0xFFFF};
static const EIF_TYPE_INDEX egt_3_751 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_751 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_751 [] = {0xFF01,750,0xFFFF};
static const EIF_TYPE_INDEX egt_6_751 [] = {0xFF01,750,0xFFFF};
static const EIF_TYPE_INDEX egt_7_751 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_751 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_751 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_751 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_751 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_751 [] = {0xFF01,750,0xFFFF};
static const EIF_TYPE_INDEX egt_13_751 [] = {0xFF01,1669,869,0xFFFF};


static const struct desc_info desc_751[] = {
	{EIF_GENERIC(NULL), 17656, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_751), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_751), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17573, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_751), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17572, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_751), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_751), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_751), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_751), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_751), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_751), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_751), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_751), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_751), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x05DD /*750*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_751), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17169, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16092, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17161, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17162, 8},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17163, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17164, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17165, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17166, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17167, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 17168, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17577, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17170, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17571, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17574, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17575, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17576, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 17654, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17578, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17579, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17580, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17581, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17582, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17651, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_751), 17652, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 17653, 4},
	{EIF_NON_GENERIC(0x06CB /*869*/), 17655, 0xFFFFFFFF},
};
void Init751(void)
{
	IDSC(desc_751, 0, 750);
	IDSC(desc_751 + 1, 1, 750);
	IDSC(desc_751 + 32, 791, 750);
	IDSC(desc_751 + 34, 1359, 750);
	IDSC(desc_751 + 44, 1308, 750);
	IDSC(desc_751 + 54, 1533, 750);
}


#ifdef __cplusplus
}
#endif
